//--------------------------------------------------------------
// File     : stm32_ub_i2c4.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F7_UB_I2C4_H
#define __STM32F7_UB_I2C4_H

//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32_ub_system.h"



//--------------------------------------------------------------
// MultiByte defines
//--------------------------------------------------------------
#define    I2C4_MULTIBYTE_ANZ   10         // anzahl der Bytes
uint8_t    I2C4_DATA[I2C4_MULTIBYTE_ANZ];  // Array



//--------------------------------------------------------------
// APB1-Clock = 50MHz
//--------------------------------------------------------------
#define I2C4_TIMING      0x40912732   // 100kHz



//--------------------------------------------------------------
// Defines
//-------------------------------------------------------------- 
#define   I2C4_TIMEOUT     1000       // Timeout Zeit in ms



//--------------------------------------------------------------
// I2C-GPIO-Pins
// moegliche Pinbelegung :
//   SCL : [PD12, PF14, PH11]
//   SDA : [PD13, PF15, PH12]
//--------------------------------------------------------------
#define  I2C4_SCL_PORT    GPIOH
#define  I2C4_SCL_PIN     GPIO_PIN_11

#define  I2C4_SDA_PORT    GPIOH
#define  I2C4_SDA_PIN     GPIO_PIN_12


//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void UB_I2C4_Init(void);
int16_t UB_I2C4_ReadByte(uint8_t slave_adr, uint8_t adr);
int16_t UB_I2C4_WriteByte(uint8_t slave_adr, uint8_t adr, uint8_t wert);
int16_t UB_I2C4_ReadMultiByte(uint8_t slave_adr, uint8_t adr, uint8_t cnt);
int16_t UB_I2C4_WriteMultiByte(uint8_t slave_adr, uint8_t adr, uint8_t cnt);
int16_t UB_I2C4_WriteCMD(uint8_t slave_adr, uint8_t cmd);
int16_t UB_I2C4_ReadByte16(uint8_t slave_adr, uint16_t adr);
int16_t UB_I2C4_WriteByte16(uint8_t slave_adr, uint16_t adr, uint8_t wert);
void UB_I2C4_Delay(volatile uint32_t nCount);




//--------------------------------------------------------------
#endif // __STM32F7_UB_I2C4_H
